<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxStencil (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxStencil (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxStencil.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.shape</a></div>
<h2 title="Class mxStencil" class="title">Class mxStencil</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.shape.mxStencil</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="mxIShape.html" title="interface in hk.quantr.mxgraph.shape">mxIShape</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">mxStencil</span>
extends java.lang.Object
implements <a href="mxIShape.html" title="interface in hk.quantr.mxgraph.shape">mxIShape</a></pre>
<div class="block">Implements a stencil for the given XML definition. This class implements the mxGraph
 stencil schema.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#aspect">aspect</a></span></code></th>
<td class="colLast">
<div class="block">Holds the aspect of the shape.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.w3c.dom.Element</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#bgNode">bgNode</a></span></code></th>
<td class="colLast">
<div class="block">Holds the XML node with the stencil description.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.w3c.dom.Element</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#desc">desc</a></span></code></th>
<td class="colLast">
<div class="block">Holds the top-level node of the stencil definition.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.w3c.dom.Element</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fgNode">fgNode</a></span></code></th>
<td class="colLast">
<div class="block">Holds the XML node with the stencil description.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#h0">h0</a></span></code></th>
<td class="colLast">
<div class="block">Holds the height of the shape.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#lastMoveX">lastMoveX</a></span></code></th>
<td class="colLast">
<div class="block">Holds the last x-position of the cursor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#lastMoveY">lastMoveY</a></span></code></th>
<td class="colLast">
<div class="block">Holds the last y-position of the cursor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#strokewidth">strokewidth</a></span></code></th>
<td class="colLast">
<div class="block">Holds the strokewidth direction from the description.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#w0">w0</a></span></code></th>
<td class="colLast">
<div class="block">Holds the width of the shape.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(org.w3c.dom.Element)">mxStencil</a></span>&#8203;(org.w3c.dom.Element&nbsp;description)</code></th>
<td class="colLast">
<div class="block">Constructs a new stencil for the given mxGraph shape description.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected <a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#computeAspect(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.util.mxRectangle,java.lang.String)">computeAspect</a></span>&#8203;(<a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
             <a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;bounds,
             java.lang.String&nbsp;direction)</code></th>
<td class="colLast">
<div class="block">Returns a rectangle that contains the offset in x and y and the horizontal
 and vertical scale in width and height used to draw this shape inside the
 given rectangle.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected <a href="../canvas/mxGraphicsCanvas2D.html" title="class in hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createCanvas(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas)">createCanvas</a></span>&#8203;(<a href="../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;gc)</code></th>
<td class="colLast">
<div class="block">Creates the canvas for rendering the stencil.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#drawElement(hk.quantr.mxgraph.canvas.mxGraphicsCanvas2D,hk.quantr.mxgraph.view.mxCellState,org.w3c.dom.Element,hk.quantr.mxgraph.util.mxRectangle)">drawElement</a></span>&#8203;(<a href="../canvas/mxGraphicsCanvas2D.html" title="class in hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a>&nbsp;canvas,
           <a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
           org.w3c.dom.Element&nbsp;node,
           <a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;aspect)</code></th>
<td class="colLast">
<div class="block">Drawsthe given element.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#drawShadow(hk.quantr.mxgraph.canvas.mxGraphicsCanvas2D,hk.quantr.mxgraph.view.mxCellState,double,boolean,boolean,hk.quantr.mxgraph.util.mxRectangle,double,boolean,hk.quantr.mxgraph.util.mxRectangle)">drawShadow</a></span>&#8203;(<a href="../canvas/mxGraphicsCanvas2D.html" title="class in hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a>&nbsp;canvas,
          <a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
          double&nbsp;rotation,
          boolean&nbsp;flipH,
          boolean&nbsp;flipV,
          <a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;bounds,
          double&nbsp;alpha,
          boolean&nbsp;filled,
          <a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;aspect)</code></th>
<td class="colLast">
<div class="block">Draws the shadow.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#drawShape(hk.quantr.mxgraph.canvas.mxGraphicsCanvas2D,hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.util.mxRectangle,hk.quantr.mxgraph.util.mxRectangle,boolean)">drawShape</a></span>&#8203;(<a href="../canvas/mxGraphicsCanvas2D.html" title="class in hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a>&nbsp;canvas,
         <a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
         <a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;bounds,
         <a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;aspect,
         boolean&nbsp;background)</code></th>
<td class="colLast">
<div class="block">Draws this stencil inside the given bounds.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#evaluateAttribute(org.w3c.dom.Element,java.lang.String,hk.quantr.mxgraph.view.mxCellState)">evaluateAttribute</a></span>&#8203;(org.w3c.dom.Element&nbsp;elt,
                 java.lang.String&nbsp;attribute,
                 <a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Gets the attribute for the given name from the given node.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.w3c.dom.Element</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDescription()">getDescription</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the description.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDouble(org.w3c.dom.Element,java.lang.String)">getDouble</a></span>&#8203;(org.w3c.dom.Element&nbsp;elt,
         java.lang.String&nbsp;attribute)</code></th>
<td class="colLast">
<div class="block">Returns the given attribute or 0.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDouble(org.w3c.dom.Element,java.lang.String,double)">getDouble</a></span>&#8203;(org.w3c.dom.Element&nbsp;elt,
         java.lang.String&nbsp;attribute,
         double&nbsp;defaultValue)</code></th>
<td class="colLast">
<div class="block">Returns the given attribute or the default value.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getInt(org.w3c.dom.Element,java.lang.String,int)">getInt</a></span>&#8203;(org.w3c.dom.Element&nbsp;elt,
      java.lang.String&nbsp;attribute,
      int&nbsp;defaultValue)</code></th>
<td class="colLast">
<div class="block">Returns the given attribute or the default value.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getString(org.w3c.dom.Element,java.lang.String,java.lang.String)">getString</a></span>&#8203;(org.w3c.dom.Element&nbsp;elt,
         java.lang.String&nbsp;attribute,
         java.lang.String&nbsp;defaultValue)</code></th>
<td class="colLast">
<div class="block">Returns the given attribute or the default value.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#paintShape(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">paintShape</a></span>&#8203;(<a href="../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;gc,
          <a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Paints the stencil for the given state.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#parseDescription()">parseDescription</a></span>()</code></th>
<td class="colLast">
<div class="block">Parses the description of this shape.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDescription(org.w3c.dom.Element)">setDescription</a></span>&#8203;(org.w3c.dom.Element&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the description.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="desc">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>desc</h4>
<pre>protected&nbsp;org.w3c.dom.Element desc</pre>
<div class="block">Holds the top-level node of the stencil definition.</div>
</li>
</ul>
<a id="aspect">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>aspect</h4>
<pre>protected&nbsp;java.lang.String aspect</pre>
<div class="block">Holds the aspect of the shape. Default is "auto".</div>
</li>
</ul>
<a id="w0">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>w0</h4>
<pre>protected&nbsp;double w0</pre>
<div class="block">Holds the width of the shape. Default is 100.</div>
</li>
</ul>
<a id="h0">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>h0</h4>
<pre>protected&nbsp;double h0</pre>
<div class="block">Holds the height of the shape. Default is 100.</div>
</li>
</ul>
<a id="bgNode">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bgNode</h4>
<pre>protected&nbsp;org.w3c.dom.Element bgNode</pre>
<div class="block">Holds the XML node with the stencil description.</div>
</li>
</ul>
<a id="fgNode">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fgNode</h4>
<pre>protected&nbsp;org.w3c.dom.Element fgNode</pre>
<div class="block">Holds the XML node with the stencil description.</div>
</li>
</ul>
<a id="strokewidth">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>strokewidth</h4>
<pre>protected&nbsp;java.lang.String strokewidth</pre>
<div class="block">Holds the strokewidth direction from the description.</div>
</li>
</ul>
<a id="lastMoveX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lastMoveX</h4>
<pre>protected&nbsp;double lastMoveX</pre>
<div class="block">Holds the last x-position of the cursor.</div>
</li>
</ul>
<a id="lastMoveY">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>lastMoveY</h4>
<pre>protected&nbsp;double lastMoveY</pre>
<div class="block">Holds the last y-position of the cursor.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(org.w3c.dom.Element)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxStencil</h4>
<pre>public&nbsp;mxStencil&#8203;(org.w3c.dom.Element&nbsp;description)</pre>
<div class="block">Constructs a new stencil for the given mxGraph shape description.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getDescription()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDescription</h4>
<pre class="methodSignature">public&nbsp;org.w3c.dom.Element&nbsp;getDescription()</pre>
<div class="block">Returns the description.</div>
</li>
</ul>
<a id="setDescription(org.w3c.dom.Element)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDescription</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDescription&#8203;(org.w3c.dom.Element&nbsp;value)</pre>
<div class="block">Sets the description.</div>
</li>
</ul>
<a id="createCanvas(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createCanvas</h4>
<pre class="methodSignature">protected&nbsp;<a href="../canvas/mxGraphicsCanvas2D.html" title="class in hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a>&nbsp;createCanvas&#8203;(<a href="../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;gc)</pre>
<div class="block">Creates the canvas for rendering the stencil.</div>
</li>
</ul>
<a id="paintShape(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>paintShape</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;paintShape&#8203;(<a href="../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;gc,
                       <a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<div class="block">Paints the stencil for the given state.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="mxIShape.html#paintShape(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">paintShape</a></code>&nbsp;in interface&nbsp;<code><a href="mxIShape.html" title="interface in hk.quantr.mxgraph.shape">mxIShape</a></code></dd>
</dl>
</li>
</ul>
<a id="drawShadow(hk.quantr.mxgraph.canvas.mxGraphicsCanvas2D,hk.quantr.mxgraph.view.mxCellState,double,boolean,boolean,hk.quantr.mxgraph.util.mxRectangle,double,boolean,hk.quantr.mxgraph.util.mxRectangle)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawShadow</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;drawShadow&#8203;(<a href="../canvas/mxGraphicsCanvas2D.html" title="class in hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a>&nbsp;canvas,
                          <a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                          double&nbsp;rotation,
                          boolean&nbsp;flipH,
                          boolean&nbsp;flipV,
                          <a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;bounds,
                          double&nbsp;alpha,
                          boolean&nbsp;filled,
                          <a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;aspect)</pre>
<div class="block">Draws the shadow.</div>
</li>
</ul>
<a id="drawShape(hk.quantr.mxgraph.canvas.mxGraphicsCanvas2D,hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.util.mxRectangle,hk.quantr.mxgraph.util.mxRectangle,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawShape</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;drawShape&#8203;(<a href="../canvas/mxGraphicsCanvas2D.html" title="class in hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a>&nbsp;canvas,
                         <a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                         <a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;bounds,
                         <a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;aspect,
                         boolean&nbsp;background)</pre>
<div class="block">Draws this stencil inside the given bounds.</div>
</li>
</ul>
<a id="computeAspect(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.util.mxRectangle,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>computeAspect</h4>
<pre class="methodSignature">protected&nbsp;<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;computeAspect&#8203;(<a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                                    <a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;bounds,
                                    java.lang.String&nbsp;direction)</pre>
<div class="block">Returns a rectangle that contains the offset in x and y and the horizontal
 and vertical scale in width and height used to draw this shape inside the
 given rectangle.</div>
</li>
</ul>
<a id="drawElement(hk.quantr.mxgraph.canvas.mxGraphicsCanvas2D,hk.quantr.mxgraph.view.mxCellState,org.w3c.dom.Element,hk.quantr.mxgraph.util.mxRectangle)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawElement</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;drawElement&#8203;(<a href="../canvas/mxGraphicsCanvas2D.html" title="class in hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a>&nbsp;canvas,
                           <a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                           org.w3c.dom.Element&nbsp;node,
                           <a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;aspect)</pre>
<div class="block">Drawsthe given element.</div>
</li>
</ul>
<a id="getInt(org.w3c.dom.Element,java.lang.String,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInt</h4>
<pre class="methodSignature">protected&nbsp;int&nbsp;getInt&#8203;(org.w3c.dom.Element&nbsp;elt,
                     java.lang.String&nbsp;attribute,
                     int&nbsp;defaultValue)</pre>
<div class="block">Returns the given attribute or the default value.</div>
</li>
</ul>
<a id="getDouble(org.w3c.dom.Element,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDouble</h4>
<pre class="methodSignature">protected&nbsp;double&nbsp;getDouble&#8203;(org.w3c.dom.Element&nbsp;elt,
                           java.lang.String&nbsp;attribute)</pre>
<div class="block">Returns the given attribute or 0.</div>
</li>
</ul>
<a id="getDouble(org.w3c.dom.Element,java.lang.String,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDouble</h4>
<pre class="methodSignature">protected&nbsp;double&nbsp;getDouble&#8203;(org.w3c.dom.Element&nbsp;elt,
                           java.lang.String&nbsp;attribute,
                           double&nbsp;defaultValue)</pre>
<div class="block">Returns the given attribute or the default value.</div>
</li>
</ul>
<a id="getString(org.w3c.dom.Element,java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getString</h4>
<pre class="methodSignature">protected&nbsp;java.lang.String&nbsp;getString&#8203;(org.w3c.dom.Element&nbsp;elt,
                                     java.lang.String&nbsp;attribute,
                                     java.lang.String&nbsp;defaultValue)</pre>
<div class="block">Returns the given attribute or the default value.</div>
</li>
</ul>
<a id="parseDescription()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseDescription</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;parseDescription()</pre>
<div class="block">Parses the description of this shape.</div>
</li>
</ul>
<a id="evaluateAttribute(org.w3c.dom.Element,java.lang.String,hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>evaluateAttribute</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;evaluateAttribute&#8203;(org.w3c.dom.Element&nbsp;elt,
                                          java.lang.String&nbsp;attribute,
                                          <a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<div class="block">Gets the attribute for the given name from the given node. If the attribute
 does not exist then the text content of the node is evaluated and if it is
 a function it is invoked with <state> as the only argument and the return
 value is used as the attribute value to be returned.</div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxStencil.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
